# OpenVAS-Client
# $Id$
# Description: Makefile for clients utility functions.
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2008, 2009 Intevation GmbH
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# In addition, as a special exception, you have
# permission to link the code of this program with the OpenSSL
# library (or with modified versions of OpenSSL that use the same
# license as OpenSSL), and distribute linked combinations including
# the two. You must obey the GNU General Public License in all
# respects for all of the code used other than OpenSSL. If you
# modify this file, you may extend this exception to your version
# of the file, but you are not obligated to do so. If you do not
# wish to do so, delete this exception statement from your version.
#/

include ../../nessus.tmpl

GTKLIBS= $(GTKCONFIG_LIBS)
INCLUDE = ${include} $(GTKCONFIG_CFLAGS) $(GLIB_CFLAGS) -I../../nessus -I.. -I../../include -I../openvas-lib -I../gui/ -I.

OPENVAS_INCLUDE=`sh ./cflags`
CFLAGS+=-Wall

# Add some specific Windows compile options for Cygwin
SYSTEM:=$(shell uname -o)
ifeq ($(SYSTEM), Cygwin)
CFLAGS+=-mms-bitfields
LDFLAGS+=-mwindows
endif

OBJS=openvas_ssh_key_create.o parseutils.o severity_filter.o file_utils.o\
     openvas_lsc_user_rpm.o openvas_lsc_user_makensis.o openvas_lsc_user_deb.o\
     openvas_lsc_target_prep.o

all : cflags $(OBJS)

cflags : Makefile
	@echo "$(NESSUS_CFLAGS) $(NESSUS_DEFS) -DPACKAGE=\"OpenVAS-Client\" $(INCLUDE)"  | sed 's/\"/\\\"/g' > cflags.tmp
	@echo "echo \"`cat cflags.tmp`\"" > cflags
	@rm cflags.tmp
	@chmod +x cflags

file_utils.o: file_utils.c file_utils.h
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c file_utils.c

openvas_ssh_key_create.o: openvas_ssh_key_create.c openvas_ssh_key_create.h
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c openvas_ssh_key_create.c

openvas_lsc_target_prep.o: openvas_lsc_target_prep.c openvas_lsc_target_prep.h
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c openvas_lsc_target_prep.c

openvas_lsc_user_rpm.o: openvas_lsc_user_rpm.c openvas_lsc_user_rpm.h
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -DOPENVASCLIENT_LSCRPMGEN_DIR=\"$(prefix)/share/openvas\" -c openvas_lsc_user_rpm.c

parseutils.o: parseutils.c parseutils.h
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c parseutils.c

severity_filter.o: severity_filter.c severity_filter.h
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c severity_filter.c

openvas_lsc_user_makensis.o: openvas_lsc_user_makensis.c\
                             openvas_lsc_user_makensis.h
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c openvas_lsc_user_makensis.c

openvas_lsc_user_deb.o: openvas_lsc_user_deb.c\
                        openvas_lsc_user_deb.h
	$(CC) $(CFLAGS) $(OPENVAS_INCLUDE) -c openvas_lsc_user_deb.c

clean :
	rm -f *.o cflags
